Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.vectorJep.values
Class Scaler

    java.lang.Object
      java.lang.Number
          org.lsmp.djep.vectorJep.values.Scaler

All Implemented Interfaces:
  java.io.Serializable, MatrixValueI

    public class Scaler

extends java.lang.Number
implements MatrixValueI

Degenerate i.e. rank 0 Tensor. Just has a single element.

Version:
  1.3.0.2 now extends number TODO don't implement number! So what if a scaler is a boolean
Author:
  Rich Morris Created on 04-Nov-2003
See Also:
  Serialized Form

Constructor Summary
`protected` | `Scaler()`
`protected` | `Scaler(java.lang.Object o)`

Method Summary
`MatrixValueI` | `copy()` returns a copy of this value.
`double` | `doubleValue()` value of constant coeff.
`boolean` | `equals(java.lang.Object obj)`
`float` | `floatValue()` value of constant coeff.
`Dimensions` | `getDim()` Returns the dimension of this object.
`java.lang.Object` | `getEle(int i)` gets the i-th element, treats data a a linear array.
`static MatrixValueI` | `getInstance(java.lang.Object o)`
`int` | `getNumEles()` The total number of elements.
`int` | `hashCode()` Always override hashCode when you override equals.
`int` | `intValue()` value of constant coeff.
`long` | `longValue()` value of constant coeff.
`void` | `setEle(int i, java.lang.Object value)` sets the i-th element, treats data a a linear array.
`void` | `setEles(MatrixValueI val)` sets the elements to those of the arguments.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scaler

    protected Scaler()

### Scaler

    protected Scaler(java.lang.Object o)

Method Detail

### getInstance

    public static MatrixValueI getInstance(java.lang.Object o)

### getDim

    public Dimensions getDim()

  Description copied from interface: `MatrixValueI`
  Returns the dimension of this object.

  Specified by:
    `getDim` in interface `MatrixValueI`

### getNumEles

    public int getNumEles()

  Description copied from interface: `MatrixValueI`
  The total number of elements.

  Specified by:
    `getNumEles` in interface `MatrixValueI`

### setEle

    public void setEle(int i,
                       java.lang.Object value)

  Description copied from interface: `MatrixValueI`
  sets the i-th element, treats data a a linear array.

  Specified by:
    `setEle` in interface `MatrixValueI`

### getEle

    public java.lang.Object getEle(int i)

  Description copied from interface: `MatrixValueI`
  gets the i-th element, treats data a a linear array.

  Specified by:
    `getEle` in interface `MatrixValueI`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setEles

    public void setEles(MatrixValueI val)

  sets the elements to those of the arguments.

  Specified by:
    `setEles` in interface `MatrixValueI`

### intValue

    public int intValue()

  value of constant coeff.

  Specified by:
    `intValue` in class `java.lang.Number`

### longValue

    public long longValue()

  value of constant coeff.

  Specified by:
    `longValue` in class `java.lang.Number`

### floatValue

    public float floatValue()

  value of constant coeff.

  Specified by:
    `floatValue` in class `java.lang.Number`

### doubleValue

    public double doubleValue()

  value of constant coeff.

  Specified by:
    `doubleValue` in class `java.lang.Number`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Always override hashCode when you override equals. Effective Java, Joshua Bloch, Sun Press

  Overrides:
    `hashCode` in class `java.lang.Object`

### copy

    public MatrixValueI copy()

  Description copied from interface: `MatrixValueI`
  returns a copy of this value.

  Specified by:
    `copy` in interface `MatrixValueI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems